ch.qos.logback.core.recovery

## Class ResilientFileOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.recovery.ResilientOutputStreamBase
    - - ch.qos.logback.core.recovery.ResilientFileOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class ResilientFileOutputStream
    extends ResilientOutputStreamBase

### Field Summary

### Fields inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`os, presumedClean`

### Constructor Summary

Constructors
Constructor and Description
`ResilientFileOutputStream(java.io.File file, boolean append)`

### Method Summary

Methods
`java.nio.channels.FileChannel` `getChannel()`
`java.io.File` `getFile()`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`addStatus, close, flush, getContext, postIOFailure, setContext, write, write`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResilientFileOutputStream

    public ResilientFileOutputStream(java.io.File file,
                             boolean append)
                              throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Method Detail

#### getChannel

    public java.nio.channels.FileChannel getChannel()

#### getFile

    public java.io.File getFile()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`